package com.zd.laboratory.domain.dto;

import com.zd.laboratory.domain.vo.LabHazardSubVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * 危险源关联实验室对象
 *
 * @Author: zhoupan
 * @Date: 2021/09/09/8:59
 * @Description:
 */
@ApiModel(value = "危险源关联实验室对象", description = "危险源关联实验室对象")
public class LabHazardJoinSubDTO {

    /**
     * 实验室ID
     */
    @ApiModelProperty(value = "实验室ID")
    @NotNull(message = "实验室ID不能为空")
    public Long subId;

    /**
     * 危险品关联实验室信息
     */
    @Valid
    @ApiModelProperty(value = "危险品关联实验室信息")
    public List<LabHazardSubVO> hazardSubVOS;

    /**
     * 要删除的危险品关联IDS
     */
    @ApiModelProperty(value = "要删除的危险品关联IDS")
    public List<Long> delIds;

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public List<LabHazardSubVO> getHazardSubVOS() {
        return hazardSubVOS;
    }

    public void setHazardSubVOS(List<LabHazardSubVO> hazardSubVOS) {
        this.hazardSubVOS = hazardSubVOS;
    }

    public List<Long> getDelIds() {
        return delIds;
    }

    public void setDelIds(List<Long> delIds) {
        this.delIds = delIds;
    }
}
